Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jeptests.functions
Class NaturalLogarithmTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.singularsys.jeptests.functions.NaturalLogarithmTest

All Implemented Interfaces:
  junit.framework.Test

    public class NaturalLogarithmTest

extends junit.framework.TestCase

Constructor Summary
`NaturalLogarithmTest(java.lang.String name)`

Method Summary
`void` | `testNaturalLogarithm()` Test method for 'org.nfunk.jep.function.Logarithm.run(Stack)' Tests the return value of log(NaN).

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NaturalLogarithmTest

    public NaturalLogarithmTest(java.lang.String name)

Method Detail

### testNaturalLogarithm

    public void testNaturalLogarithm()

  Test method for 'org.nfunk.jep.function.Logarithm.run(Stack)' Tests the return value of log(NaN). This is a test for bug #1177557

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep